Package com.privatejgoodies.forms.layout

## Class FormSpec.DefaultAlignment

- java.lang.Object
- - com.privatejgoodies.forms.layout.FormSpec.DefaultAlignment

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  FormSpec

    public static final class FormSpec.DefaultAlignment
    extends java.lang.Object
    implements java.io.Serializable

An ordinal-based serializable typesafe enumeration for the column and row default alignment types.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`char` `abbreviation()` Returns the first character of this Alignment's name.
`java.lang.String` `toString()` Returns this Alignment's name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### toString

    public java.lang.String toString()

Returns this Alignment's name.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  this alignment's name.

#### abbreviation

    public char abbreviation()

Returns the first character of this Alignment's name. Used to identify it in short format strings.

Returns:
  the name's first character.